restinio::easy_parser::impl::any_value_skipper_t Struct Reference

A special consumer that simply throws any value away. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::any_value_skipper_t:

## Public Member Functions

template<typename Target_Type , typename Value >
void | consume (Target_Type &, Value &&) const noexcept

## Additional Inherited Members

Static Public Attributes inherited from restinio::easy_parser::impl::consumer_tag
static constexpr entity_type_t | entity_type = entity_type_t::consumer

## Detailed Description

A special consumer that simply throws any value away.

This consumer is intended to be used in the case when the presence of some value should be checked but the value itself isn't needed.

Since
  v.0.6.1

Definition at line 2842 of file easy_parser.hpp.

## Member Function Documentation

## consume()

template<typename Target_Type , typename Value >

void restinio::easy_parser::impl::any_value_skipper_t::consume | ( | Target_Type & | ,
|  | Value && |
| ) |  | const

inlinenoexcept

Definition at line 2846 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp